org.apache.datasketches.kll

## Class KllFloatsSketchIterator

- java.lang.Object
- - org.apache.datasketches.kll.KllSketchIterator
  - - org.apache.datasketches.kll.KllFloatsSketchIterator

All Implemented Interfaces:
  QuantilesFloatsSketchIterator, QuantilesSketchIterator

    public final class KllFloatsSketchIterator
    extends KllSketchIterator
    implements QuantilesFloatsSketchIterator

Iterator over KllFloatsSketch. The order is not defined.

### Field Summary

### Fields inherited from class org.apache.datasketches.kll.KllSketchIterator

`index, isInitialized_, level, levelsArr, numLevels, weight`

### Method Summary

All Methods Instance Methods Concrete Methods
`float` `getQuantile()` Gets the float quantile at the current index.

### Methods inherited from class org.apache.datasketches.kll.KllSketchIterator

`getWeight, next`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.datasketches.quantilescommon.QuantilesSketchIterator

`getWeight, next`

### Method Detail

#### getQuantile

    public float getQuantile()

Description copied from interface: `QuantilesFloatsSketchIterator`
Gets the float quantile at the current index.

Don't call this before calling next() for the first time or after getting false from next().

Specified by:
  `getQuantile` in interface `QuantilesFloatsSketchIterator`
Returns:
  the float quantile at the current index.